Subject: Re: linux-next: origin tree build warning

From: Greg KH <[email-masked]>
Date: Tue, 19 Jan 2010 13:11:17 -0800

On Tue, Jan 19, 2010 at 01:05:14PM -0800, Greg KH wrote:
> On Tue, Jan 19, 2010 at 11:12:26AM +1100, Stephen Rothwell wrote:
> > Hi Fengguang,
> > 
> > On Mon, 18 Jan 2010 16:40:39 +1100 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > On Mon, 18 Jan 2010 12:29:52 +0800 "Wu, Fengguang" <[email-masked]> wrote:
> > > >
> > > > On Mon, 18 Jan 2010 15:05:01 +1100 Stephen Rothwell <[email-masked]> wrote:
> > > > > >
> > > > > > It actually looks like commit c29af9636 ("sysdev: Pass attribute in
> > > > > > sysdev_class attributes show/store") referred to in the changelog for the
> > > > > > above commit has not yet been applied to Linus' tree?
> > > > >
> > > > > Commit c29af9636 ("sysdev: Pass attribute in sysdev_class attributes
> > > > > show/store") does appear in linux-next since next-20100111 (in the
> > > > > driver-core quilt series - therefore intended for 2.6.34) (it will have a
> > > > > different SHA1 today)
> > > > 
> > > > So let's queue 8ff410daa009c (sysdev: fix prototype for memory_sysdev_class show/store functions)
> > > > in driver-core and delay it to 2.6.34?
> > > 
> > > Then it would need to be reverted from Linus' tree.
> > 
> > I have reverted commit 8ff410daa009c for today.  It looks like Greg
> > already has the alternate patches queued in the driver-core tree to take
> > care of this problem when it arises.
> > 
> > So, Greg, can you ask Linus to revert 8ff410daa009c (sysdev: fix
> > prototype for memory_sysdev_class show/store functions), please?  Or
> > should I?  Or should we hope he notices these emails? :-)
> 
> No, I think the patch in Linus's tree is correct, so I have fixed up my
> tree now.

Ick, no, you are correct, Wu's patch shouldn't have been sent to Linus
yet.  I'll revert it, and then keep the fixes that were in my tree,
which should make everything safe for the .34 merge.

thanks,

greg k-h